GetHuggingFaceModel
Fetches the HuggingFace model specified by the UUID.
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
hugging-face-models
/
{uuid}
GetHuggingFaceModel
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/hugging-face-models/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/hugging-face-models/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/hugging-face-models/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"project_uuid": "<string>",
"author": "<string>",
"authorization_required": true,
"card_data": {},
"config": {},
"config_content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"disabled": true,
"discussions": {
"count": 123,
"num_closed": 123
},
"downloads": 123,
"gated": {
"disabled": true,
"mode_type": "<string>"
},
"id": "<string>",
"last_modified": "2023-11-07T05:31:56Z",
"library_name": "<string>",
"likes": 123,
"mask_token": "<string>",
"model_id": "<string>",
"model_index": [
{}
],
"name": "<string>",
"organization_name": "<string>",
"pipeline_tag": "<string>",
"private": true,
"pull_requests": {
"count": 123,
"num_closed": 123
},
"readme_content": "<string>",
"readme_metadata": {
"alignment_trained": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
},
"base_model": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
},
"evaluation_results": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
},
"example_code": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
},
"fine_tuned": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
},
"linked_github": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
},
"training_data": {
"answer": [
"<string>"
],
"evidence": "<string>",
"exists": true,
"prompt": "<string>",
"raw_response": "<string>"
}
},
"safetensors": {},
"sha": "<string>",
"siblings": [
{
"rfilename": "<string>"
}
],
"spaces": [
"<string>"
],
"tags": [
"<string>"
],
"transformers_info": {},
"widget_data": [
{}
]
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
HuggingFaceModel represents the JSON object from ingesting from the HuggingFace API.
Was this page helpful?
⌘I
GetHuggingFaceModel
